Subject: Re: CORRECTION:Black Mesa Permaculture Project on Navajo/Hopi Reservation

From: [email-masked] (Lee Porter Butler)
Date: 18 May 1995 20:16:12 GMT

thanks for your response. What do you think of this? I am trying to create
a lens of focus group, which could present and advocate practical
solutions to our present problems. I would appreciate your help. I believe
that if we can language the request properly, millions of people who feel
just like we do and can not express it, will respond with support and add
power to our message.

The
DOLPHIN GREEN
Planetary Prosperity Project©

We are a group of individuals seeking environmental equilibrium
 
&  a voluntary world order through

€A Return of economic and political responsibility 
to the neighborhoods and communities.
€A voluntary world order based on self discipline, 
non-violence, strength, courage, compassion and trust.
€The protection of individual civil liberties, 
private life styles and religious freedom.
€The commercial development of intentional,  sustainable, floating 
communities,  powered by solar, gravity, geothermal and other 
universally abundant ecologically harmonious sources of energy.

To support this vision of a better world & receive our quarterly newsletter
Send name, address, your own ideas &  $15 to:
The Dolphin Green Prosperity Project
620 Biscayne Drive 
West Palm Beach, Florida 33401 (407) 659-7656
Or you may charge your credit card by calling 
(407) 833-9007 or VIA Internet <[email-masked]>